#ifndef GAME_COLLECTIBLE_H
#define GAME_COLLECTIBLE_H

#include "sys/sys.h"

typedef enum {
    GAME_COLLECTIBLE_TYPE_CAKE,
    GAME_COLLECTIBLE_TYPE_MONEY_BIG,
    GAME_COLLECTIBLE_TYPE_MONEY_SMALL,
    GAME_COLLECTIBLE_TYPE_N
} game_collectible_type;

typedef struct {
    sys_i32 x;
    sys_i32 y;
    game_collectible_type type;
    bool collected;
} game_collectible;

void game_collectible_create(sys_i32 x, sys_i32 y, game_collectible_type type);

void game_collectibles_update();
void game_collectibles_draw();

#endif  // GAME_COLLECTIBLE_H